Jump to content
funtoo forums
hhhhardware

Funtoo 1.4 - No update to gentoo-sources?

Recommended Posts

I'm wrapping up my upgrade to Funtoo 1.4 but noticing there has not been an upgrade to the sys-kernel/gentoo-sources. I know debian-sources are Daniels preferred kernel sources but I would have assumed the more recent meta-repo freeze would have pulled in a newer kernel/gentoo-sources than the one I had in Funtoo 1.3.

In the future are the only kernel sources that are going to be updated in the repository going to be debian-sources?

Share this post


Link to post
Share on other sites
Quote

In the future are the only kernel sources that are going to be updated in the repository going to be debian-sources?

See related: https://bugs.funtoo.org/browse/FL-6035

To the best of my knowledge nothing about this has changed in 1.4. Only debian-sources(-lts) are officially supported. Unfortunately, the other sources are not masked despite being unsupported.

Share this post


Link to post
Share on other sites

I also would prefer synced up-to-date masked gentoo-sources, but we can always PR flora repo to add them. Since its not officially supported it up to the community to maintain them. I made a PR for stables amd64 4.19.x since I'm using it.

I think we can make a mostly automated workflow to PR trivial ebuilds (I mean those that require just a copy-paste from gentoo). Will try to do that on some ebuilds like stable amd64 gentoo-sources, vivaldi and php I'm using.

Share this post


Link to post
Share on other sites

Yes, it can be a more user friendly approach than masking.

I understand a masked pkg as a package that will fails to install or may break the system. I think it's not relevant for unofficial kernels like gentoo-sources.

Share this post


Link to post
Share on other sites

I tend to agree. Maybe we mask the other kernels that frankly most users never touch. But it seems best to keep gentoo-sources unmasked, but maybe add a warning to it. WIll see if I can modify an eclass to do this.

Share this post


Link to post
Share on other sites

I just want to say that gentoo-sources, that is not the LTS version which is currently 4.19 series, is basically mainline and all sorts of bad things can happen or regressions/corruptions/data loss is at a much greater percentage of being introduced. Breakage of nvidia-drivers/modules being a big one. Also you're following a kernel series that *will* be updated at least once a week if not more.Other patchsets have much better hardware support, backporting, bugfixes, and out of tree inclusions that really make the quality of life better all around for a normal linux user. Just my two cents.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...